//
//  NSString+UrlEncoding.m
//  TrailWalker
//
//  Created by Roger Riera Diaz on 03/05/13.
//  Copyright (c) 2013 Roger Riera Diaz. All rights reserved.
//

#import "NSString+UrlEncoding.h"

@implementation NSString (UrlEncoding)

// Categoria que realitza codificació segons x-www-form-urlencoded 
- (NSString*) stringByUrlEncoding
{
    return (NSString*)CFBridgingRelease(CFURLCreateStringByAddingPercentEscapes(NULL,
                                                              (CFStringRef)self,
                                                              NULL,
                                                              (CFStringRef)@"!*'();:@&amp;=+$,/?%#[]",
                                                              kCFStringEncodingUTF8));
}

@end
