//
//  TWAccuracyController.h
//  TrailWalker
//
//  Created by Roger Riera Diaz on 26/04/13.
//  Copyright (c) 2013 Roger Riera Diaz. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "MyManager.h"

@class TWAccuracyController;

@protocol TWAccuracyControllerDelegate <NSObject>
- (void)accuracyControllerDidCancel:
(TWAccuracyController *)controller;

- (void)TWAccuracyController:
(TWAccuracyController *)controller
didReturnAccuracy:(NSNumber *)accuracyVal;

@end

@interface TWAccuracyController : UITableViewController

@property (nonatomic, weak) id <TWAccuracyControllerDelegate> delegate;

@property (strong, nonatomic) IBOutlet UISlider *accuracySlider;
@property (strong, nonatomic) IBOutlet UILabel *accuracyLabel;


- (IBAction)changeValueSlider:(id)sender;

- (IBAction)cancel:(id)sender;
- (IBAction)done:(id)sender;

@end
