//
//  TWFrequencyController.h
//  TrailWalker
//
//  Created by Roger Riera Diaz on 27/04/13.
//  Copyright (c) 2013 Roger Riera Diaz. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "MyManager.h"


@class TWFrequencyController;

@protocol TWFrequencyControllerDelegate <NSObject>
- (void)frequencyControllerDidCancel:
(TWFrequencyController *)controller;

- (void)TWFrequencyController:
(TWFrequencyController *)controller
           didReturnFrequency:(NSNumber *)accuracyVal;

@end

@interface TWFrequencyController : UITableViewController

@property (nonatomic, weak) id <TWFrequencyControllerDelegate> delegate;

@property (strong, nonatomic) IBOutlet UISlider *frequencySlider;
@property (strong, nonatomic) IBOutlet UILabel *frequencyLabel;

- (IBAction)changeValueSlider:(id)sender;

- (IBAction)cancel:(id)sender;
- (IBAction)done:(id)sender;

@end
