//
//  TWLoactionManager.h
//  TrailWalker
//
//  Created by Roger Riera Diaz on 20/04/13.
//  Copyright (c) 2013 Roger Riera Diaz. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <ArcGIS/ArcGIS.h>
#import <CoreLocation/CoreLocation.h>
#import "TWSendJson.h"
#import "MyManager.h"


@class TWCaptura;
@interface TWLocationManager : NSObject <CLLocationManagerDelegate>

// El contrloador de localització
@property (strong, nonatomic) CLLocationManager *locationManager;
// Necessari per poder utilitzar el servei estàndard de localització en segon pla
@property (nonatomic) UIBackgroundTaskIdentifier counterTask;


// El temporitzador de la captura del servei estàndard de localització en segon pla
@property (weak) NSTimer *repeatingTimer;

- (void)stopTracking;
- (BOOL)startTracking;

@end
