//
//  TWFirstViewController.h
//  TrailWalker
//
//  Created by Roger Riera Diaz on 17/04/13.
//  Copyright (c) 2013 Roger Riera Diaz. All rights reserved.
//

#import <UIKit/UIKit.h>

#import <ArcGIS/ArcGIS.h>
#import <CoreLocation/CoreLocation.h>
#import "MyManager.h"

#import "TWLocationManager.h"

//Contants amb els serveis ESRI
#define kTiledMapServiceURL @"http://server.arcgisonline.com/ArcGIS/rest/services/World_Street_Map/MapServer"
#define kDynamicMapServiceURL @"http://napols.uoc.es/arcgis/rest/services/rutes/MapServer/1"


@interface TWMapViewController : UIViewController <AGSMapViewLayerDelegate, UIAlertViewDelegate> {
    // El contenidor del mapa
	AGSMapView *_mapView;
	AGSDynamicMapServiceLayer * _dynamicLayer;
    // El Controlador de localització
	TWLocationManager *mylocationManager;
}

@property (nonatomic, strong) IBOutlet AGSMapView *mapView;
@property (strong, nonatomic)   TWLocationManager *mylocationManager;

@end
