//
//  MyManager.h
//  TrailWalker
//
//  Created by Roger Riera Diaz on 15/05/13.
//  Copyright (c) 2013 Roger Riera Diaz. All rights reserved.
//

#import <foundation/Foundation.h>
#import "TWSettingsData.h"
#import "TWCaptureList.h"
#import "TWCaptura.h"

@interface MyManager : NSObject {
    TWCaptureList *myCaptureList;
    TWSettingsData *mySettingData;
    TWCaptura *myLastCapture;
}

// Atributs de la classe Singleton
@property (nonatomic, retain) TWCaptureList *myCaptureList; // Llista de captures utilitza TWCaptureList.h
@property (nonatomic, retain) TWSettingsData *mySettingData; // Paràmetres de captura utilitza TWSettingsData.h
@property (nonatomic, retain) TWCaptura *myLastCapture; // Última captura utilitza TWCaptura.h

+ (id)sharedManager;

@end