//
//  TWLanguageController.h
//  TrailWalker
//
//  Created by Roger Riera Diaz on 26/04/13.
//  Copyright (c) 2013 Roger Riera Diaz. All rights reserved.
//

#import <UIKit/UIKit.h>

@class TWLocationServiceController;

@protocol TWLanguageControllerDelegate <NSObject>
- (void)TWLocationController:
(TWLocationServiceController *)controller
            didSelectService:(NSString *)theService;
@end

@interface TWLocationServiceController : UITableViewController

@property (nonatomic, weak) id <TWLanguageControllerDelegate> delegate;
@property (nonatomic, strong) NSString *locationService;


@end
