//
//  TWTeamController.h
//  TrailWalker
//
//  Created by Roger Riera Diaz on 26/04/13.
//  Copyright (c) 2013 Roger Riera Diaz. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "MyManager.h"

@class TWTeamController;

@protocol TWTeamControllerDelegate <NSObject>
- (void)teamControllerDidCancel:
(TWTeamController *)controller;
- (void)TWTeamController:
(TWTeamController *)controller
didReturnTeam:(NSString *)teamName;
@end

@interface TWTeamController : UITableViewController <UITextFieldDelegate>

@property (nonatomic, weak) id <TWTeamControllerDelegate> delegate;

@property (strong, nonatomic) IBOutlet UITextField *teamTextField;

- (IBAction)cancel:(id)sender;
- (IBAction)done:(id)sender;

@end